# class RSS::Maker::Atom::Feed::Items::Item::Source::Icon

### Public Instance Methods

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/feed.rb, line 280
    def to_feed(feed, current)
      icon = current.class::Icon.new
      class << icon
        alias_method(:url=, :content=)
      end
      set = setup_values(icon)
      class << icon
        remove_method(:url=)
      end
      if set
        current.icon = icon
        set_parent(icon, current)
        setup_other_elements(feed, icon)
      elsif variable_is_set?
        raise NotSetError.new("maker.item.source.icon",
                              not_set_required_variables)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/feed.rb, line 300
    def required_variable_names
      %w(url)
    end